What Web browser should I use for Illiad?

 

You need a Web browser that can handle forms, tables, and preferably Cascading Stylesheets (CSS). We recommend the current versions of either Microsoft Internet Explorer, Mozilla Firefox, or Google Chrome.